Skip to main content
`Ctrl`+`K`

# TaoShellSetSolve

Sets routine to apply as solver

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoShellSetSolve(Tao tao, PetscErrorCode (*solve)(Tao))

Logically Collective

## Input Parameters

- tao - the nonlinear solver context

- solve - the application-provided solver routine

## Calling sequence of `solve`

- tao - the optimizer, get the application context with `TaoShellGetContext()`

## See Also

`Tao`, `TAOSHELL`, `TaoShellSetContext()`, `TaoShellGetContext()`

## Level

advanced

## Location

src/tao/shell/taoshell.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages